var MapDietController = function(ApplicationContext, eventAggregator) {

    this.onEnterWidgetMain = function(widget) {

        var filter = [];
        widget.reload(filter);
    };

    this.reloadScreenAndClearFilters = function(widget) {
        eventAggregator.publish("reloadMapDiet", widget);
    };

    eventAggregator.subscribe("reloadMapDiet", function(widget) {
        widget.typeSearch = '';
        widget.dataSourceFilter = [];
        widget.reload();
    });
};

Configuration(function(ContextRegister) {
    ContextRegister.register('MapDietController', MapDietController);
});
