Configuration(function(RepositoryFactory, ContextRegister, Query) {
    var PrescriptionRepository = RepositoryFactory.factory('/Prescriptions', 'LOCAL');

    PrescriptionRepository.getPrescription = function(id) {
        return this.findOne(Query.build()
            .where('id').equals(id));
    };

    PrescriptionRepository.getPrescriptions = function(id) {
        return this.find(Query.build()
            .where('id').equals(id));
    };

    ContextRegister.register('PrescriptionRepository', PrescriptionRepository);

});
