Configuration(function(RepositoryFactory, ContextRegister, Query) {
    var PatientsRepository = RepositoryFactory.factory('/Patients', 'LOCAL');

    PatientsRepository.getPatients = function() {
        return this.download(Query.build());
    };

    PatientsRepository.getPatientById = function(id) {
        return this.findOne(Query.build().where('id').equals(id));
    };

    ContextRegister.register('PatientsRepository', PatientsRepository);

});
